<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\KursUebersicht\Detailsreiter\Termine\BerichtAbgeben;

use Kufer\Web\Classes\ExportAdapter\ExpAdditionalVariables;

class KurstagBerichtAbgebenView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'dozent/kursuebersicht/detailsreiter/bericht_abgeben.sgt';
  }

  protected function getDefaultDataModulArray()
  {
    return array($this->viewModel->kurstag);
  }

  protected function getDefaultExportAdapter()
  {
    return new ExpAdditionalVariables(
      new \ExportKurstage(),
      array(
        'dozdata' => \JsonOperations::encodeBase64JustStrings(array(array(
          'id' => $this->viewModel->dozent->id,
          'guid' => $this->viewModel->dozent->guid ? (string)$this->viewModel->dozent->guid : null,
          'name' => $this->viewModel->dozent->name,
          'vorname' => $this->viewModel->dozent->vorname,
        )))
      )
    );
  }
}